Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter.capability
Interface ScalarCapabilities

    public interface ScalarCapabilities

Capabilities used to convey supported scalar operators.

     <xsd:complexType name="Scalar_CapabilitiesType">
          <xsd:sequence>
             <xsd:element ref="ogc:LogicalOperators"
                          minOccurs="0" maxOccurs="1"/>
             <xsd:element name="ComparisonOperators"
                          type="ogc:ComparisonOperatorsType"
                          minOccurs="0" maxOccurs="1"/>
                          minOccurs="0" maxOccurs="1"/>
          </xsd:sequence>
       </xsd:complexType>

Method Summary
`ArithmeticOperators` | `getArithmeticOperators()` Provided arithmetic operators.
`ComparisonOperators` | `getComparisonOperators()` Provided comparison operators.
`boolean` | `hasLogicalOperators()` Indicates if logical operator support is provided.

Method Detail

### hasLogicalOperators

    boolean hasLogicalOperators()

  Indicates if logical operator support is provided.

       <xsd:element ref="ogc:LogicalOperators" minOccurs="0" maxOccurs="1"/>

### getComparisonOperators

    @UML(identifier="comparisonOperators",
         specification=UNSPECIFIED)
    ComparisonOperators getComparisonOperators()

  Provided comparison operators.

       <xsd:element name="ComparisonOperators" type="ogc:ComparisonOperatorsType"
          minOccurs="0" maxOccurs="1"/>

### getArithmeticOperators

    @UML(identifier="arithmeticOperators",
         specification=UNSPECIFIED)
    ArithmeticOperators getArithmeticOperators()

  Provided arithmetic operators.

       <xsd:element name="ComparisonOperators" type="ogc:ComparisonOperatorsType"
           minOccurs="0" maxOccurs="1"/>

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.